GNU bug report logs - #33623
Backtrace when running `guix system roll-back'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Diego Nicola Barbato <dnbarbato@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33623-done <at> debbugs.gnu.org:


Received: (at 33623-done) by debbugs.gnu.org; 8 Dec 2018 09:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 04:45:27 2018
Received: from localhost ([127.0.0.1]:37657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVZAq-0006eV-MP
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 04:45:26 -0500
Received: from mx1.riseup.net ([198.252.153.129]:44189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>)
 id 1gVZAn-0006dc-Az; Sat, 08 Dec 2018 04:45:22 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 947091A0574;
 Sat,  8 Dec 2018 01:45:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544262320; bh=5YeK0SY1qjtRhUW9t7vBYYrvcj/7v6edQBJXIiOEnHg=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=kkBOGeL0gbsEjzRC4prAhWZ9XLnBuS4LjDfWHZR9CKxYIoH/NoKy92ef5m419Cswz
 28itJGW7kf3+El2V7cNUcCwf1sfgZR4JDoR1diM9OV6f7xkSq0gc2HCl4K4ygYQxkG
 wE99MSvywdQuKzvK/qe209ajG7mtVFeSL/rnnCqA=
X-Riseup-User-ID: D5BE4AC2A7A775B8683572CE83C73EAEBFD01653B9DB237A4D6DE33804ED9454
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 5A05167134;
 Sat,  8 Dec 2018 01:45:20 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Sat, 08 Dec 2018 01:45:20 -0800
From: swedebugia@HIDDEN
To: 33623 <at> debbugs.gnu.org, ludo@HIDDEN, dnbarbato@HIDDEN
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
In-Reply-To: <87h8fpfmoj.fsf@HIDDEN>
References: <87k1ko2ois.fsf@HIDDEN>
 <87h8fpfmoj.fsf@HIDDEN>
Message-ID: <6b178992e494caa35f34124e6a6f9f1f@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33623-done
Cc: 33623-done <at> debbugs.gnu.org,
 bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-07 15:15, Ludovic Courtès wrote:
> Hi Diego,
> 
> Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:
> 
>> When I run ‘guix system roll-back’ I get the following backtrace:
> 
> Fixed in commit 6ddc63e599a26c302f74d0622f67cfd987f0dc5f, thanks!
> 
> Ludo'.

Good catch Diego! 

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623 <at> debbugs.gnu.org:


Received: (at 33623) by debbugs.gnu.org; 8 Dec 2018 09:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 04:45:32 2018
Received: from localhost ([127.0.0.1]:37659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVZAx-0006fN-TG
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 04:45:32 -0500
Received: from mx1.riseup.net ([198.252.153.129]:44189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>)
 id 1gVZAn-0006dc-Az; Sat, 08 Dec 2018 04:45:22 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 947091A0574;
 Sat,  8 Dec 2018 01:45:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544262320; bh=5YeK0SY1qjtRhUW9t7vBYYrvcj/7v6edQBJXIiOEnHg=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=kkBOGeL0gbsEjzRC4prAhWZ9XLnBuS4LjDfWHZR9CKxYIoH/NoKy92ef5m419Cswz
 28itJGW7kf3+El2V7cNUcCwf1sfgZR4JDoR1diM9OV6f7xkSq0gc2HCl4K4ygYQxkG
 wE99MSvywdQuKzvK/qe209ajG7mtVFeSL/rnnCqA=
X-Riseup-User-ID: D5BE4AC2A7A775B8683572CE83C73EAEBFD01653B9DB237A4D6DE33804ED9454
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 5A05167134;
 Sat,  8 Dec 2018 01:45:20 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Sat, 08 Dec 2018 01:45:20 -0800
From: swedebugia@HIDDEN
To: 33623 <at> debbugs.gnu.org, ludo@HIDDEN, dnbarbato@HIDDEN
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
In-Reply-To: <87h8fpfmoj.fsf@HIDDEN>
References: <87k1ko2ois.fsf@HIDDEN>
 <87h8fpfmoj.fsf@HIDDEN>
Message-ID: <6b178992e494caa35f34124e6a6f9f1f@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33623
Cc: 33623-done <at> debbugs.gnu.org,
 bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-07 15:15, Ludovic Courtès wrote:
> Hi Diego,
> 
> Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:
> 
>> When I run ‘guix system roll-back’ I get the following backtrace:
> 
> Fixed in commit 6ddc63e599a26c302f74d0622f67cfd987f0dc5f, thanks!
> 
> Ludo'.

Good catch Diego! 

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623-done <at> debbugs.gnu.org:


Received: (at 33623-done) by debbugs.gnu.org; 7 Dec 2018 22:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 17:24:11 2018
Received: from localhost ([127.0.0.1]:37392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVOXb-0001Y4-CH
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:24:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gVOXZ-0001Xs-T5
 for 33623-done <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:24:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gVOXS-0002pt-8m
 for 33623-done <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:24:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34974)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gVOXP-0002np-9z; Fri, 07 Dec 2018 17:23:59 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34642 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gVOXO-0006pM-B4; Fri, 07 Dec 2018 17:23:59 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: <znavko@HIDDEN>
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
References: <87k1ko2ois.fsf@HIDDEN>
 <87k1ko2ois.fsf@HIDDEN>
 <87h8fpfmoj.fsf@HIDDEN> <LT8nmD7--3-1@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 07 Dec 2018 23:23:57 +0100
In-Reply-To: <LT8nmD7--3-1@HIDDEN> (znavko's message of "Fri, 7 Dec 2018
 18:55:16 +0100 (CET)")
Message-ID: <87o99xasci.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33623-done
Cc: 33623-done <at> debbugs.gnu.org, Diego Nicola Barbato <dnbarbato@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

<znavko@HIDDEN> skribis:

> Is it possible to automatize detection of this kind of problems?=20
> As I see, some PC can has crontab job to do `guix pull`, so that if 'Back=
trace' message occurs, it sends a report to developer not to rush up to pus=
h his branch to master branch.

There are lots of unit tests and system tests in Guix.  Unfortunately
this particular bit is not covered by a test.  We would need to come up
with a testing strategy for this but it can be quite challenging.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623-done <at> debbugs.gnu.org:


Received: (at 33623-done) by debbugs.gnu.org; 7 Dec 2018 17:55:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 12:55:25 2018
Received: from localhost ([127.0.0.1]:37279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVKLV-00015j-GA
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 12:55:25 -0500
Received: from w1.tutanota.de ([81.3.6.162]:38718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <znavko@HIDDEN>) id 1gVKLS-00015J-WA
 for 33623-done <at> debbugs.gnu.org; Fri, 07 Dec 2018 12:55:23 -0500
Received: from w2.tutanota.de (unknown [192.168.1.163])
 by w1.tutanota.de (Postfix) with ESMTP id C5000FBF159;
 Fri,  7 Dec 2018 17:55:16 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=tutanota.com;
 s=20161216; t=1544205316;
 bh=T/alQQUGsa5b+OzZODRBrdlnXyQg3kzHdEdkeRlAjtk=;
 h=Date:From:Cc:In-Reply-To:References:Subject:From;
 b=GJsudPeexCbfRTJ/TznHXPkMtXyH5/OX0e+pPicAjhTwwGS2qbSFJj04D1LKOwcZL
 kIirOEjkhthWB5vgdKsrNUuQ/ImfLAtn071xnD3A3C3sPAhA6mXu9uyorvVoeelDO/
 2fuaCyK+Z/mQYlOJNAFLcPyS6Y5uXmnkWmrAis42ULcGRNG1pRSTak1W8hoFW3b5NC
 zQBmhtgK0Zmk4VTmMrGxnUu4jeDIk8OpLmJ7RJozziRl2wttMGK73CxIb6qtxwQJNw
 Bos4/Y9gtsMTvmgCXhAj/nFB0op3UOaB3xVQFFFzSBk4ZB6JsuUHPC9PYLqEKNKn2+
 qz6qd9JQLDBoA==
Date: Fri, 7 Dec 2018 18:55:16 +0100 (CET)
From: <znavko@HIDDEN>
Message-ID: <LT8nmD7--3-1@HIDDEN>
In-Reply-To: <87h8fpfmoj.fsf@HIDDEN>
References: <87k1ko2ois.fsf@HIDDEN>
 <<87k1ko2ois.fsf@HIDDEN>
 (Diego Nicola Barbato's message of "Wed,
 05 Dec 2018 12:36:59 +0100")> <87h8fpfmoj.fsf@HIDDEN>
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_14628_900281125.1544205316800"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 33623-done
Cc: 33623-done <at> debbugs.gnu.org, Diego Nicola Barbato <dnbarbato@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

------=_Part_14628_900281125.1544205316800
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hello! This is just an idea.
Is it possible to automatize detection of this kind of problems?=20
As I see, some PC can has crontab job to do `guix pull`, so that if 'Backtr=
ace' message occurs, it sends a report to developer not to rush up to push =
his branch to master branch.
Different branches can be defended from such a minor issues, just trying `g=
uix pull` for all branches using channels.=20


Dec 7, 2018, 2:15 PM by ludo@HIDDEN:

> Hi Diego,
>
> Diego Nicola Barbato <> dnbarbato@HIDDEN <mailto:dnbarbato@HIDDEN>>=
 > skribis:
>
>> When I run =E2=80=98guix system roll-back=E2=80=99 I get the following b=
acktrace:
>>
>
> Fixed in commit 6ddc63e599a26c302f74d0622f67cfd987f0dc5f, thanks!
>
> Ludo'.
>


------=_Part_14628_900281125.1544205316800
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div style=3D"16px" text-align=3D"left">Hello! This is just an idea.<br /><=
/div><div style=3D"16px" text-align=3D"left">Is it possible to automatize d=
etection of this kind of problems? <br /></div><div style=3D"16px" text-ali=
gn=3D"left">As I see, some PC can has crontab job to do `guix pull`, so tha=
t if 'Backtrace' message occurs, it sends a report to developer not to rush=
 up to push his branch to master branch.<br /></div><div style=3D"16px" tex=
t-align=3D"left">Different branches can be defended from such a minor issue=
s, just trying `guix pull` for all branches using channels. <br /></div><di=
v style=3D"16px" text-align=3D"left"><br /></div><div style=3D"16px" text-a=
lign=3D"left"><br /></div><div style=3D"16px" text-align=3D"left">Dec 7, 20=
18, 2:15 PM by ludo@HIDDEN:<br /></div><blockquote class=3D"tutanota_quote=
" style=3D"border-left: 1px solid #93A3B8; padding-left: 10px; margin-left:=
 5px;"><div style=3D"16px" text-align=3D"left">Hi Diego,<br /></div><div st=
yle=3D"16px" text-align=3D"left"><br /></div><div style=3D"16px" text-align=
=3D"left">Diego Nicola Barbato &lt;<a rel=3D"noopener noreferrer" target=3D=
"_blank" href=3D"mailto:dnbarbato@HIDDEN">dnbarbato@HIDDEN</a>&gt; sk=
ribis:<br /></div><blockquote>When I run =E2=80=98guix system roll-back=E2=
=80=99 I get the following backtrace:<br /></blockquote><div style=3D"16px"=
 text-align=3D"left"><br /></div><div style=3D"16px" text-align=3D"left">Fi=
xed in commit 6ddc63e599a26c302f74d0622f67cfd987f0dc5f, thanks!<br /></div>=
<div style=3D"16px" text-align=3D"left"><br /></div><div style=3D"16px" tex=
t-align=3D"left">Ludo'.<br /></div></blockquote><div style=3D"16px" text-al=
ign=3D"left"><br /></div>  </body>
</html>

------=_Part_14628_900281125.1544205316800--




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623-done <at> debbugs.gnu.org:


Received: (at 33623-done) by debbugs.gnu.org; 7 Dec 2018 14:15:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 09:15:24 2018
Received: from localhost ([127.0.0.1]:36394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVGuZ-0003pU-V0
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 09:15:24 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gVGuX-0003pD-F4
 for 33623-done <at> debbugs.gnu.org; Fri, 07 Dec 2018 09:15:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gVGuN-00071P-B5
 for 33623-done <at> debbugs.gnu.org; Fri, 07 Dec 2018 09:15:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51764)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gVGuN-00070u-6o; Fri, 07 Dec 2018 09:15:11 -0500
Received: from nat-inria-bordeaux-52-gw-01-bso.bordeaux.inria.fr
 ([194.199.1.52]:52097 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gVGuM-0004u2-Th; Fri, 07 Dec 2018 09:15:11 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Diego Nicola Barbato <dnbarbato@HIDDEN>
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
References: <87k1ko2ois.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 07 Dec 2018 15:15:08 +0100
In-Reply-To: <87k1ko2ois.fsf@HIDDEN>
 (Diego Nicola Barbato's message of "Wed, 05 Dec 2018 12:36:59 +0100")
Message-ID: <87h8fpfmoj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33623-done
Cc: 33623-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Diego,

Diego Nicola Barbato <dnbarbato@HIDDEN> skribis:

> When I run =E2=80=98guix system roll-back=E2=80=99 I get the following ba=
cktrace:

Fixed in commit 6ddc63e599a26c302f74d0622f67cfd987f0dc5f, thanks!

Ludo'.




Notification sent to Diego Nicola Barbato <dnbarbato@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 33623 <at> debbugs.gnu.org:


Received: (at 33623) by debbugs.gnu.org; 7 Dec 2018 09:44:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 04:44:31 2018
Received: from localhost ([127.0.0.1]:36292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVCgQ-0003dS-Ec
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 04:44:31 -0500
Received: from mout01.posteo.de ([185.67.36.65]:52165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1gVCgO-0003dE-O5
 for 33623 <at> debbugs.gnu.org; Fri, 07 Dec 2018 04:44:29 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 3F36B16005E
 for <33623 <at> debbugs.gnu.org>; Fri,  7 Dec 2018 10:44:22 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1544175862; bh=K0h7gsCAra4GKjbtpF8+UuMrAZ0iuc3/R87N86jCjO0=;
 h=From:To:Cc:Subject:Date:From;
 b=cUqHFnRQ9QBd9esSE7E0sJzhAChJa600c18VPcGN7JwmqQ3Sx/89ZGSx5JxcXHRQW
 SGCcvvHBY5MZnJwp0avC2f8+Eh+cQf/i1MQaMggQ2KiuVU0O/qOt9othCE7ghyHKLd
 DXikFYTrseOiIEEyYiRT77Ans9BhitUW784fle/edKh2zwIqWqcmmHHIN0nfmKnbE6
 17pjl1YmYQPxEH6EivnE3l0pMUS99VJgQmMPji3jIiwydr1tUfDTH6T5eKC8hko2tq
 zD4Xqj7JUME+iuCCtSgZZ9TBRkDm5ZJzEtaKGbOGtzfYQ35LDl5ApPmz0HD2EwjXzk
 /W0C50Czcot0Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43B6xd43FFz6tmK;
 Fri,  7 Dec 2018 10:44:21 +0100 (CET)
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: 33623 <at> debbugs.gnu.org
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
References: <87k1ko2ois.fsf@HIDDEN>
 <f47dff19bb43327fe1f0f61ed42a21de@HIDDEN>
 <871s6uu253.fsf@HIDDEN>
Date: Fri, 07 Dec 2018 10:44:21 +0100
In-Reply-To: <871s6uu253.fsf@HIDDEN> (Diego Nicola Barbato's message of
 "Thu, 06 Dec 2018 16:05:12 +0100")
Message-ID: <87o99xsmbu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33623
Cc: swedebugia@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Diego Nicola Barbato <dnbarbato@HIDDEN> writes:

> Hello Swedebugia,
>
> swedebugia@HIDDEN writes:
>
>> On 2018-12-05 12:36, Diego Nicola Barbato wrote:
>>> Hello Guix,
>>>=20
>>> When I run =E2=80=98guix system roll-back=E2=80=99 I get the following =
backtrace:
>>>=20
>>> --8<---------------cut here---------------start------------->8---
>>> root@tapuakh ~# guix system roll-back
>>> Backtrace:
>>>           10 (primitive-load "/root/.config/guix/current/bin/guix")
>>> In guix/ui.scm:
>>>   1603:12  9 (run-guix-command _ . _)
>>> In ice-9/boot-9.scm:
>>>     829:9  8 (catch srfi-34 #<procedure 341ea60 at guix/ui.scm:615:=E2=
=80=A6> =E2=80=A6)
>>>     829:9  7 (catch system-error #<procedure 341eb00 at guix/script=E2=
=80=A6> =E2=80=A6)
>>> In guix/scripts/system.scm:
>>>    1268:8  6 (_)
>>> In guix/status.scm:
>>>     615:4  5 (call-with-status-report _ _)
>>> In guix/scripts/system.scm:
>>>    1208:9  4 (process-command _ _ _)
>>>    469:10  3 (switch-to-system-generation #<build-daemon 256.99 1ec=E2=
=80=A6> =E2=80=A6)
>>> In guix/store.scm:
>>>   1659:24  2 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
>>> In guix/scripts/system.scm:
>>>     499:6  1 (_ _)
>>> In unknown file:
>>>            0 (_ #<build-daemon 256.99 1ec03c0>)
>>>=20
>>> ERROR: Wrong type to apply: #<<computed-file> name: "grub.cfg" gexp:
>>> #<gexp  3971ab0> guile: #f options: (#:local-build? #t)>
>>> --8<---------------cut here---------------end--------------->8---
>>>=20
>>> I run GuixSD (commit: 1f51f0d975d95a2ba645193cf43d0a294d952e83) on an
>>> x86_64 machine.
>>
>> Interesting. Could you provide a config.scm to help us reproduce the
>> issue?
>
> I've got something better.
>
> Steps to reproduce:
>
> Install GuixSD in a VM using the iso image and the attached config.  The
> image should be at least 16G (8G is to small for a reconfigure).
>
> Reboot the VM.
>
> Run =E2=80=98guix pull --commit=3D1f51f0=E2=80=99 as root.
>
> Make sure to log out and back in again to avoid bug#33647.
>
> Run =E2=80=98guix system reconfigure /etc/config.scm=E2=80=99.
>
> Reboot the VM.
>
> Run =E2=80=98guix system roll-back=E2=80=99 as root.
>
> Backtrace ensues.

I just repeated the aforementioned steps with the new (0.16.0) iso image
and by pulling from current master (5118e2) instead of 1f51f0 and got a
similar backtrace.  I believe =E2=80=98guix system roll-back=E2=80=99 is cu=
rrently
broken on master.
Judging from the backtrace this might have something to do with the
recent clean up of system code (specifically commit 46c296).

Greetings

Diego




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623 <at> debbugs.gnu.org:


Received: (at 33623) by debbugs.gnu.org; 6 Dec 2018 15:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 10:05:36 2018
Received: from localhost ([127.0.0.1]:35902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUvDX-0004RW-Ju
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:05:35 -0500
Received: from mout02.posteo.de ([185.67.36.66]:55909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1gUvDS-0004R8-Ex
 for 33623 <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:05:31 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id CBF7624011E
 for <33623 <at> debbugs.gnu.org>; Thu,  6 Dec 2018 16:05:18 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1544108718; bh=hmd9P0wo1NCfrokUG31GsIcGrmWCCnoGdhnxdvBYhdY=;
 h=From:To:Cc:Subject:Date:From;
 b=qRY3tw7u9gWNMY8bsvCLGcnAFsABC1rCkBXSDnQmzkZ6Q1xsmDeAUZIgJDj9IFbMV
 ZxI4JJrc5ybnMUIPOGMpqB4F9+4q6Vts3YQPaAV+2qDSCF8/bHNdJ42BG49VGVvNsb
 TsciDYg1bMGDTo2qxJpAtNwscG/xKsHOG1/H4u8OPlPxRQIg2GFUDQsQeFmY+vFqFU
 yNfhPkG8oaApb5frhND0g8DkMzFhGm4FRQSpVYQgNn63xipwtW+C5zGRI+o0ectAUL
 4L1l9pjHL6OC60fAIfx0XeWVZoa8rrl7F1QvtkWJypGuNI5PjcC2EzLjDl8AfyQ4WY
 z13lm/e+Vx5NA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 439f6J4CMmz9rxN;
 Thu,  6 Dec 2018 16:05:12 +0100 (CET)
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
In-Reply-To: <f47dff19bb43327fe1f0f61ed42a21de@HIDDEN> (swedebugia's
 message of "Wed, 05 Dec 2018 15:56:35 -0800")
References: <87k1ko2ois.fsf@HIDDEN>
 <f47dff19bb43327fe1f0f61ed42a21de@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 06 Dec 2018 16:05:12 +0100
Message-ID: <871s6uu253.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33623
Cc: 33623 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Swedebugia,

swedebugia@HIDDEN writes:

> On 2018-12-05 12:36, Diego Nicola Barbato wrote:
>> Hello Guix,
>>=20
>> When I run =E2=80=98guix system roll-back=E2=80=99 I get the following b=
acktrace:
>>=20
>> --8<---------------cut here---------------start------------->8---
>> root@tapuakh ~# guix system roll-back
>> Backtrace:
>>           10 (primitive-load "/root/.config/guix/current/bin/guix")
>> In guix/ui.scm:
>>   1603:12  9 (run-guix-command _ . _)
>> In ice-9/boot-9.scm:
>>     829:9  8 (catch srfi-34 #<procedure 341ea60 at guix/ui.scm:615:=E2=
=80=A6> =E2=80=A6)
>>     829:9  7 (catch system-error #<procedure 341eb00 at guix/script=E2=
=80=A6> =E2=80=A6)
>> In guix/scripts/system.scm:
>>    1268:8  6 (_)
>> In guix/status.scm:
>>     615:4  5 (call-with-status-report _ _)
>> In guix/scripts/system.scm:
>>    1208:9  4 (process-command _ _ _)
>>    469:10  3 (switch-to-system-generation #<build-daemon 256.99 1ec=E2=
=80=A6> =E2=80=A6)
>> In guix/store.scm:
>>   1659:24  2 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
>> In guix/scripts/system.scm:
>>     499:6  1 (_ _)
>> In unknown file:
>>            0 (_ #<build-daemon 256.99 1ec03c0>)
>>=20
>> ERROR: Wrong type to apply: #<<computed-file> name: "grub.cfg" gexp:
>> #<gexp  3971ab0> guile: #f options: (#:local-build? #t)>
>> --8<---------------cut here---------------end--------------->8---
>>=20
>> I run GuixSD (commit: 1f51f0d975d95a2ba645193cf43d0a294d952e83) on an
>> x86_64 machine.
>
> Interesting. Could you provide a config.scm to help us reproduce the
> issue?

I've got something better.

Steps to reproduce:

Install GuixSD in a VM using the iso image and the attached config.  The
image should be at least 16G (8G is to small for a reconfigure).

Reboot the VM.

Run =E2=80=98guix pull --commit=3D1f51f0=E2=80=99 as root.

Make sure to log out and back in again to avoid bug#33647.

Run =E2=80=98guix system reconfigure /etc/config.scm=E2=80=99.

Reboot the VM.

Run =E2=80=98guix system roll-back=E2=80=99 as root.

Backtrace ensues.


Greetings

Diego


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=config.scm
Content-Transfer-Encoding: base64
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==
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at 33623 <at> debbugs.gnu.org:


Received: (at 33623) by debbugs.gnu.org; 5 Dec 2018 23:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 05 18:56:49 2018
Received: from localhost ([127.0.0.1]:34774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUh22-00034Z-OH
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 18:56:46 -0500
Received: from mx1.riseup.net ([198.252.153.129]:59870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gUh1w-00034N-Gd
 for 33623 <at> debbugs.gnu.org; Wed, 05 Dec 2018 18:56:40 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9DC111A0544;
 Wed,  5 Dec 2018 15:56:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544054195; bh=c0qBxihLK0CQc5yXP/swyvLQQohfNGhsHu9sW++x4Sk=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=OkcPMDkF5xMpPlOQxAoGpfD3l9TADyVNqvJ1OzSNQzyfttffEE0OcXgptnSg9KHZh
 bufqGRpbTo/XSJcPl3TGDbfz3Mg/NfIglMMIfsIzcs+kbnoP5uJJLmkiTIdjYmtmNP
 8Ndz/0UssCHwi4RbyeC/DEoBrNYe34EBs1O3YN2Q=
X-Riseup-User-ID: 2C70BDAC5A6D56F78585DBE90C0B86991F149BC42732B4B1EE6CFC38338BB22E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 652C18F819;
 Wed,  5 Dec 2018 15:56:35 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Wed, 05 Dec 2018 15:56:35 -0800
From: swedebugia@HIDDEN
To: Diego Nicola Barbato <dnbarbato@HIDDEN>
Subject: Re: bug#33623: Backtrace when running `guix system roll-back'
In-Reply-To: <87k1ko2ois.fsf@HIDDEN>
References: <87k1ko2ois.fsf@HIDDEN>
Message-ID: <f47dff19bb43327fe1f0f61ed42a21de@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33623
Cc: 33623 <at> debbugs.gnu.org,
 bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-05 12:36, Diego Nicola Barbato wrote:
> Hello Guix,
> 
> When I run ‘guix system roll-back’ I get the following backtrace:
> 
> --8<---------------cut here---------------start------------->8---
> root@tapuakh ~# guix system roll-back
> Backtrace:
>           10 (primitive-load "/root/.config/guix/current/bin/guix")
> In guix/ui.scm:
>   1603:12  9 (run-guix-command _ . _)
> In ice-9/boot-9.scm:
>     829:9  8 (catch srfi-34 #<procedure 341ea60 at guix/ui.scm:615:…> …)
>     829:9  7 (catch system-error #<procedure 341eb00 at guix/script…> …)
> In guix/scripts/system.scm:
>    1268:8  6 (_)
> In guix/status.scm:
>     615:4  5 (call-with-status-report _ _)
> In guix/scripts/system.scm:
>    1208:9  4 (process-command _ _ _)
>    469:10  3 (switch-to-system-generation #<build-daemon 256.99 1ec…> …)
> In guix/store.scm:
>   1659:24  2 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
> In guix/scripts/system.scm:
>     499:6  1 (_ _)
> In unknown file:
>            0 (_ #<build-daemon 256.99 1ec03c0>)
> 
> ERROR: Wrong type to apply: #<<computed-file> name: "grub.cfg" gexp:
> #<gexp  3971ab0> guile: #f options: (#:local-build? #t)>
> --8<---------------cut here---------------end--------------->8---
> 
> I run GuixSD (commit: 1f51f0d975d95a2ba645193cf43d0a294d952e83) on an
> x86_64 machine.

Interesting. Could you provide a config.scm to help us reproduce the
issue?

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2018 11:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 05 06:37:55 2018
Received: from localhost ([127.0.0.1]:33154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUVV5-0002L8-5a
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 06:37:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dnbarbato@HIDDEN>) id 1gUVV3-0002Ku-JY
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 06:37:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gUVUx-0008BW-GU
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 06:37:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35531)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dnbarbato@HIDDEN>) id 1gUVUx-0008BO-Cl
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 06:37:47 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33434)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gUVUw-00007H-I1
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 06:37:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dnbarbato@HIDDEN>) id 1gUVUr-00087K-IR
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 06:37:46 -0500
Received: from vimdzmsp-nwas04.bluewin.ch ([195.186.228.51]:43828)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dnbarbato@HIDDEN>) id 1gUVUr-00083v-AB
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 06:37:41 -0500
Received: from tapuakh ([92.107.168.33])
 by vimdzmsp-nwas04.bluewin.ch Swisscom AG with SMTP
 id UVUjgUo2gx8ImUVUogovwR; Wed, 05 Dec 2018 12:37:38 +0100
From: Diego Nicola Barbato <dnbarbato@HIDDEN>
To: bug-guix@HIDDEN
Subject: Backtrace when running `guix system roll-back'
Date: Wed, 05 Dec 2018 12:36:59 +0100
Message-ID: <87k1ko2ois.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-CMAE-Envelope: MS4wfD/MMGnB2YFOtWFG1p3EgHhm5kEEKubr4GhQCZER8UMhNnPE4TU2XPr7NvcoCd5jRuhxTrLcwczcKKwCNeVtvETWRc7CWikQNu5XzhhG5cPSzoealsMp
 bFYGXhuczO10RSNXv1BQkYwBOcE5YSPhbrQ44OHCJjr+FFq6McHPfhLL
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello Guix,

When I run =E2=80=98guix system roll-back=E2=80=99 I get the following back=
trace:

--8<---------------cut here---------------start------------->8---
root@tapuakh ~# guix system roll-back
Backtrace:
          10 (primitive-load "/root/.config/guix/current/bin/guix")
In guix/ui.scm:
  1603:12  9 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9  8 (catch srfi-34 #<procedure 341ea60 at guix/ui.scm:615:=E2=80=
=A6> =E2=80=A6)
    829:9  7 (catch system-error #<procedure 341eb00 at guix/script=E2=80=
=A6> =E2=80=A6)
In guix/scripts/system.scm:
   1268:8  6 (_)
In guix/status.scm:
    615:4  5 (call-with-status-report _ _)
In guix/scripts/system.scm:
   1208:9  4 (process-command _ _ _)
   469:10  3 (switch-to-system-generation #<build-daemon 256.99 1ec=E2=80=
=A6> =E2=80=A6)
In guix/store.scm:
  1659:24  2 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
In guix/scripts/system.scm:
    499:6  1 (_ _)
In unknown file:
           0 (_ #<build-daemon 256.99 1ec03c0>)

ERROR: Wrong type to apply: #<<computed-file> name: "grub.cfg" gexp: #<gexp=
  3971ab0> guile: #f options: (#:local-build? #t)>
--8<---------------cut here---------------end--------------->8---

I run GuixSD (commit: 1f51f0d975d95a2ba645193cf43d0a294d952e83) on an
x86_64 machine.

Greetings

Diego




Acknowledgement sent to Diego Nicola Barbato <dnbarbato@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33623; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Dec 2018 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.